Description

We are using foreman quite heavily, mostly provisioning/installing from ISO. We are now building OVA files and would like to be able

to provision all the VMs from OVA.

Is there a plan to add this feature?

Thanks

History

#1 - 03/15/2016 04:11 AM - Dominic Cleal

- Category set to Compute resources

Which compute resource type is this for?  It might be that you can already use vSphere or similar by loading it in as a template.

#2 - 03/15/2016 04:20 AM - Adrianus G

Dominic Cleal wrote:

Which compute resource type is this for?  It might be that you can already use vSphere or similar by loading it in as a template.

 Thanks Dominic for your interest.

The compute resource is VMWARE, foreman version is 1.8.2. I have been successful in uploading the OVA to vsphere. From there it can be

converted into template and a foreman image can point to that. Even with this method, I'm having problems associating the vm with a foreman host

using REST API - it only supports associating all the VMs and this one fails on "interfaces should have vm or template". Through the GUI I have no

problem since it can be done at virtual machine level.

I am looking for an all included package in foreman, something like build_method=ova.

#3 - 03/15/2016 04:43 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

Please try a more current release, that association issue may well have been fixed - either in a later 1.8 release or 1.9, 1.10 or 1.11.  If it remains,

please file a new bug report for it.

#4 - 03/15/2016 05:22 AM - Adrianus G

Dominic Cleal wrote:

Please try a more current release, that association issue may well have been fixed - either in a later 1.8 release or 1.9, 1.10 or 1.11.  If it

remains, please file a new bug report for it.

 We are in the process of configuring a new foreman server with 1.10.1 version. The thing is the described mechanism to install from OVA is too

complex and was looking for a simple solution from foreman

#5 - 05/31/2016 01:17 PM - Dan Dunckel

I haven't thought thru this yet, but would there be a way to configure the OVA's guest properties?
